<HTML>
<HEAD>
<TITLE>muwed player</TITLE> 
<?php

/* 
 * current.inc - the script to display the current song
 *
 * Copyright (c) by Andreas S. Krebs (andreas.krebs@web.de)
 *
 */

require_once("config.inc");

if($CSS_FILE!=false)
  echo("<LINK HREF=\"$CSS_FILE\" TYPE=\"text/css\" REL=STYLESHEET>");

if($HAS_JS)
  echo("<SCRIPT LANGUAGE=\"JavaScript\" SRC=\"muwedPlayer.js\"></SCRIPT>");

echo("</HEAD>");

require_once("irmp3.inc");

if(is_array($irmp3_info)==false || ($comand!="stop" && $irmp3_info["play"]==false && $irmp3_info["info_mp3file"]==false))
{
  $commands=array("query mp3file", "query status", "query time");
  $answer=array("info_file", "info_status", "info_time");
  $irmp3_info=irmp3_cmd($IRMP3_HOST, $IRMP3_PORT, $commands, $answer); 
}

$song=$irmp3_info["info_file"];
$status=$irmp3_info["info_status"];
$time=$irmp3_info["info_time"];
if($song==false && $comand!="stop")
{
  $song=$irmp3_info["play"];
  $status="play";
  $time=$irmp3_info["time"];
}

if($song==false)
{
  $status="stop";
}

$secs=split(" ", $time, 2);
$secs[1]=trim($secs[1]);
if($secs[1] == false || $secs[1] <= 0)
  $secs[1]=60;

if($status == "stop")
  $t="0:00";
else
{
  $s=$secs[1]%60;
  $t=($secs[1]-$s)/60;
  $t=$t . ":";
  if($s < 10)
    $t=$t . "0";

  $t=$t . $s;
}

echo("<BODY ");

if($HAS_JS)
  echo("ONLOAD=\"javascript:startTimer($secs[1], '$status')\"");

echo(">
<TABLE CELLSPACING=$TABLE_SPACING CELLPADDING=0 BORDER=$TABLE_BORDER WIDTH=\"$MAX_TABLE_WIDTH\" HEIGHT=\"$MAX_TABLE_HEIGHT\">
<TR>");

if($HAS_JS)
{
  $CMD_PRE="javascript:playerComand('";
  $CMD_POST="')";
}
else
{
  $CMD_PRE="irmp3cmd.php?comand=";
  $CMD_POST="&date=".time();	// add time to prefent lynx from page caching
}

if($song != false && strlen($song)>0)
  $song=substr($song, strlen($MP3ROOT));

// let's check if this song has a APIC frame to display
if($song != false && strlen($song)>0)
{
  $conn=pg_connect("host=$DBHOST user=$DBUSER dbname=$DBNAME");
  if($conn)
  {
    $esong=ereg_replace("'", "''", $song);
    $query="file = '$esong'";

    $result=pg_exec($conn, "SELECT flags FROM songs WHERE $query;");
    if(pg_numrows($result)>0)
    {
      $row=pg_fetch_row($result, 0);
      $flags=$row[0];

      if(($flags&0x2000)!=0) // do we have a APIC ?
      {
        $file=rawurlencode($MP3ROOT . $song);

        echo("
<TD CLASS=Empty WIDTH=\"0%\">
<TABLE CELLSPACING=0 CELLPADDING=0 BORDER=$TABLE_BORDER WIDTH=\"0%\" HEIGHT=\"0%\">
  <TR><TD CLASS=PlayerImage ALIGN=CENTER VALIGN=MIDDLE WIDTH=\"0%\" HEIGHT=\"0%\">
    <IMG SRC=\"$GETAPIC$file\" BORDER=1 ALT=\"[cover]\" HEIGHT=\"$IMAGE_HEIGHT\">
  </TD></TR>
</TABLE>
</TD>");
      }
    }
  }
}

echo("
<TD CLASS=Empty WIDTH=\"100%\" VALIGN=TOP>
<TABLE CELLSPACING=0 CELLPADDING=0 BORDER=$TABLE_BORDER WIDTH=\"100%\" HEIGHT=\"100%\">
  <TR><TD CLASS=Player ALIGN=MIDDLE HEIGHT=\"0%\">
    <TABLE CELLSPACING=0 CELLPADDING=0>
      <TR>
        <TD CLASS=Name>muwed player</TD>
        <TD CLASS=Display COLSPAN=3></TD>
        <TD CLASS=Display>
          <TABLE CELLSPACING=0 CELLPADDING=0>
            <FORM NAME=\"player\" onSubmit=\"0\">
            <TR>
              <TD CLASS=PlayerButton><A HREF=\"".$CMD_PRE."playlist+jump+-1".$CMD_POST."\"><IMG SRC=\"images/prev.gif\" ALT=\"[previous]\" BORDER=0></A></TD>
              <TD CLASS=PlayerButton><A HREF=\"".$CMD_PRE."stop".$CMD_POST."\"><IMG SRC=\"images/stop.gif\" ALT=\"[stop]\" BORDER=0></A></TD>
              <TD CLASS=PlayerButton><A HREF=\"".$CMD_PRE."pause".$CMD_POST."\"><IMG SRC=\"images/pause.gif\" ALT=\"[pause]\" BORDER=0></A></TD>
              <TD CLASS=PlayerButton><A HREF=\"".$CMD_PRE."playlist+jump+".$FORWARD_ENC.$CMD_POST."\"><IMG SRC=\"images/next.gif\" ALT=\"[next]\" BORDER=0></A></TD>
              <TD CLASS=Display COLSPAN=3></TD>
              <TD CLASS=Display><INPUT TYPE=\"text\" NAME=\"clock\" SIZE=5 VALUE =\"$t\"></TD>
              <TD CLASS=PlayerButton><A HREF=\"".$CMD_PRE."refresh".$CMD_POST."\"><IMG SRC=\"images/refresh.gif\" ALT=\"[refresh]\" BORDER=0></A></TD>
            </TR>
            </FORM>
          </TABLE> 
        </TD>
      </TR>
    </TABLE>
  </TD></TR>
  <TR><TD></TD></TR>
  <TR><TD CLASS=Content CELLSPACING=0 CELLPADDING=0 VSPACE=0 WIDTH=\"100%\" HEIGHT=\"100%\" ALIGN=CENTER VALIGN=TOP>
");

// now let's create some output
if($song == false || $status=="stop")
{
  echo("<H2><B>Playing stopped</B></H2>");
}
else
{
  // now let's create the query for the database
  $esong=ereg_replace("'", "''", $song);
  $query="file = '$esong'";

  $notfound_msg="Song <A HREF=\"$url\">$song</A> not found in muwed database";

  // dbquery performs the query given in $query and returns in $entries_found the number of entries found
  include("dbquery.inc");
}

?>
  </TD>
  </TR>
  </TABLE></TD></TR>
</TABLE>
</BODY>
</HTML>

